org.apache.cassandra.index.transactions

## Enum IndexTransaction.Type

- java.lang.Object
- - java.lang.Enum<IndexTransaction.Type>
  - - org.apache.cassandra.index.transactions.IndexTransaction.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IndexTransaction.Type>

Enclosing interface:
  IndexTransaction

    public static enum IndexTransaction.Type
    extends java.lang.Enum<IndexTransaction.Type>

Used to differentiate between type of index transaction when obtaining a handler from Index implementations.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLEANUP`
`COMPACTION`
`UPDATE`

### Method Summary

All Methods Static Methods Concrete Methods
`static IndexTransaction.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IndexTransaction.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UPDATE

    public static final IndexTransaction.Type UPDATE

#### COMPACTION

    public static final IndexTransaction.Type COMPACTION

#### CLEANUP

    public static final IndexTransaction.Type CLEANUP

### Method Detail

#### values

    public static IndexTransaction.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IndexTransaction.Type c : IndexTransaction.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IndexTransaction.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null